﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;

namespace ConsoleApplication
{
    class Program
    {
        static void Main(string[] args)
        {
            string serverurl = string.Empty;
            while (true)
            {
                Console.WriteLine("Please type the server url here:");
                serverurl = Console.ReadLine();
                if (string.IsNullOrEmpty(serverurl))
                    continue;
                else
                {
                    try
                    {
                        SPSite mysite = new SPSite(serverurl);
                        SPWeb web = mysite.RootWeb;
                        web.AnonymousState = SPWeb.WebAnonymousState.Enabled; web.AnonymousPermMask64 = SPBasePermissions.Open | SPBasePermissions.ViewPages;
                        web.Update();
                        Console.WriteLine("Succes!!");
                        break;
                    }
                    catch (Exception e)
                    {
                        Console.WriteLine(e.Message);
                    }
                }
            }
            Console.Read();
        }
    }
}
